Name: mcut
Version: 1.3.0
Release: 1%{?dist}.2
Summary: A library for resolving intersections between surface meshes
License: LGPL-3.0
URL: https://github.com/cutdigital/mcut/
Source: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1: mcut-install-lib.patch
Patch2: mcut-stdtypes.patch
BuildRequires: cmake >= 3.12
BuildRequires: gcc-c++

%description
A library for detecting and resolving intersections between two surface meshes.

This project is called "MCUT" (short for 'mesh cutting'), and it provides
functionality to perform robust geometry operations between surfaces.

The project is designed for a broad range of real-world problems
relating to 3D modelling and design tasks.
Application areas include computer animation, aerospace and
automotive engineering, digital dental modelling, mining,
civil and mechanical engineering amongst others.


%package devel
Summary: Headers and object files for mcut

%description devel
A library for detecting and resolving intersections between two surface meshes.

This project is called "MCUT" (short for 'mesh cutting'), and it provides
functionality to perform robust geometry operations between surfaces.

The project is designed for a broad range of real-world problems
relating to 3D modelling and design tasks.
Application areas include computer animation, aerospace and
automotive engineering, digital dental modelling, mining,
civil and mechanical engineering amongst others.

This package contains headers and object files for developing with mcut.


%prep
%autosetup -p1

%build
%cmake \
    -DMCUT_BUILD_AS_SHARED_LIB=ON \
    -DMCUT_BUILD_TESTS=OFF \
    -DMCUT_BUILD_TUTORIALS=OFF

%cmake_build


%install
%cmake_install
mkdir -p %{buildroot}%{_libdir}
mv %{buildroot}%{_prefix}/bin/libmcut.so* %{buildroot}%{_libdir}
rm -f %{buildroot}%{_prefix}/LICENSE.txt %{buildroot}%{_prefix}/README.md


%files
%license LICENSE.txt
%doc README.md
%{_libdir}/libmcut.so.*


%files devel
%license LICENSE.txt
%doc README.md
%{_includedir}/mcut
%{_libdir}/libmcut.so
%changelog
* Fri Mar 28 2025 Oleg Girko <ol@infoserver.lv> - 1.3.0-1
- Initial package
